Can't install image-acquisition package

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Can't install image-acquisition package

Egidio Fabris
Hi everyone, after an octave re-installation I had some truble installing image-acquisition package.

After the command "pkg install -forge image-acquisition" it return this error message:

>> pkg install -forge image-acquisition
configure: error: fltk-config required to install Octave-Forge image-acquisition package
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for mkoctfile... yes
checking for fltk-config... no

pkg: error running the configure script for image-acquisition.
error: called from
    configure_make at line 82 column 9
    install at line 184 column 7
    pkg at line 437 column 9

I check if there is fltk1.3 and it seems to be installed. I found a file fltk-config in /usr/bin.
I'm using octave 4.4.1

Can someone help?

Thanks in advance





Reply | Threaded
Open this post in threaded view
|

Re: Can't install image-acquisition package

Andreas Weber-6
Hi Egidio,

Am 08.01.19 um 18:01 schrieb Egidio Fabris:

> checking for fltk-config... no
>
> pkg: error running the configure script for image-acquisition.
> error: called from
>      configure_make at line 82 column 9
>      install at line 184 column 7
>      pkg at line 437 column 9
>
> I check if there is fltk1.3 and it seems to be installed. I found a file
> fltk-config in /usr/bin.

which distribution is this? For example on Debian GNU/Linux the package
which provides fltk-config is libfltk1.3-dev

Can you clone the hg repo and have a look at config.log (and attach it)

$ hg clone http://hg.code.sf.net/p/octave/image-acquisition 
octave-image-acquisition
$ cd octave-image-acquisition/src
$ ./bootstrap
$ ./configure

-- Andy


Reply | Threaded
Open this post in threaded view
|

Fwd: Can't install image-acquisition package

Egidio Fabris
In reply to this post by Egidio Fabris

Hi everyone, after an octave re-installation I had some truble installing image-acquisition package.

After the command "pkg install -forge image-acquisition" it return this error message:

>> pkg install -forge image-acquisition
configure: error: fltk-config required to install Octave-Forge image-acquisition package
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for mkoctfile... yes
checking for fltk-config... no

pkg: error running the configure script for image-acquisition.
error: called from
    configure_make at line 82 column 9
    install at line 184 column 7
    pkg at line 437 column 9

I check if there is fltk1.3 and it seems to be installed. I found a file fltk-config in /usr/bin.
I'm using octave 4.4.1

I tried to reinstall libfltk1.3, and libfltk1.1 but it doesen't work. It seems to be an error on fltk-config but it's beyond my skills, do you have any idea?




Reply | Threaded
Open this post in threaded view
|

Re: Fwd: Can't install image-acquisition package

Andreas Weber-6
Am 10.01.19 um 16:46 schrieb Egidio Fabris:
> Hi everyone, after an octave re-installation I had some truble
> installing image-acquisition package.

Perhaps you answer the questions on your duplicate question on
08.01.2019 18:01 first before asking the same question again?


Reply | Threaded
Open this post in threaded view
|

Re: Fwd: Can't install image-acquisition package

Egidio Fabris
My apologizes, I only wanted to report my findings on trying to fix It by myself.

Il giorno ven 11 gen 2019, 09:27 Andreas Weber <[hidden email]> ha scritto:
Am 10.01.19 um 16:46 schrieb Egidio Fabris:
> Hi everyone, after an octave re-installation I had some truble
> installing image-acquisition package.

Perhaps you answer the questions on your duplicate question on
08.01.2019 18:01 first before asking the same question again?